opensc-tool(1)

NAME
opensc-tool - generic smart card utility

SYNOPSIS
opensc-tool [OPTIONS]

DESCRIPTION
The opensc-tool utility can be used from the command line to perform miscellaneous smart card operations such as getting the card ATR or sending arbitrary APDU commands to a card.

OPTIONS

--atr, -a
    Print the Answer To Reset (ATR) of the card, output is in hex byte format

--send-apdu apdu, -s apdu
    Sends an arbitrary APDU to the card in the format AA:BB:CC:DD:EE:FF...

--list-files, -f
    Recursively lists all files stored on card

--list-readers, -l
    Lists all configured readers

--list-drivers, -D
    Lists all installed card drivers

--list-rdrivers, -R
    Lists all installed reader drivers

--reader num, -r num
    Use the given reader number. The default is 0, the first reader in the system.

--card-driver driver, -c driver
    Use the given card driver. The default is auto-detected.

--quiet, -q
    Quiet operation

--debug, -d
    Print debug output. This option may be supplied many times each increasing the verbosity of debug messages.

SEE ALSO
opensc(7), opensc-explorer(1)

AUTHORS
opensc-tool was written by Juha Yrjölä <juha.yrjola@iki.fi>. This manpage was contributed by Joe Phillips <joe.phillips@innovationsw.com> for the Debian GNU/Linux system (but may be used by others).